indexing

   title:       "POSIX element for FORMAT_TABLE class";
   cluster:     "format/science [format/science]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Andy Malakov  (andy@eiffel.ru) and";
   original:    08,Sep,1995;
   version:     1.0;
   last_change:
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "fmt_el_t.e"

class TYPECHAR_FORMATTER
   inherit
      FORMAT_TABLE_ELEMENT
         rename
            make as fmt_el_make
         end

   creation make

   feature
      typechar : CHARACTER

      ----------------------------------------------------------------
      make ( a_typechar : CHARACTER;
             a_sample : ANY;
             a_fmt : ABSTRACT_FORMATTER;
             a_default_format : STRING;
           ) is
         do
            fmt_el_make ( a_sample, a_fmt, a_default_format )
            typechar := a_typechar
         end

end -- class TYPECHAR_FORMATTER
