indexing

   title:       "Formatter DynaTypes container";
   cluster:     "format/science [format/science]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Andy Malakov  (andy@eiffel.ru) and";
   original:    08,Sep,1995;
   version:     1.0;
   last_change:
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "fmt_tb_e.e"

class DYNATYPE_TABLE [ G -> FORMAT_TABLE_ELEMENT ]

   inherit
      FORMAT_TABLE [ G ]
         redefine
            add
         end

   creation
      make

   feature

   -------------------------------------------------------------------
   feature  -- add/modify
   -------------------------------------------------------------------
      add ( new_g : G ) is
            -- if not exist element T : new_g.sample.conform_to(T.sample)
            -- insert it. Insertion order determine formatters priority.
         do
            search_by_example ( new_g.sample )
            if not found then -- add new_g to dyna_types
               fmt_add ( new_g )
            end
         end -- add

      ----------------------------------------------------------------
      make_default ( g : G ) is
            -- put on proper position
         do
            search_by_example ( g.sample )
            check found end
            put ( g, found_index )
         end -- make_default

end -- class DYNATYPE_TABLE

