indexing

   title:       "String formatter";
   cluster:     "format/science [format/science]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Igor Nesterof (nest@eiffel.ru)";
   original:    08,Sep,1995;
   version:     1.0;
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "str_fmt.e"

class STRING_FORMATTER

inherit
   ABSTRACT_JUSTIFY_FORMATTER
   redefine
      make
   end

creation
   make

feature

   str : STRING

   make, frozen string_make(s:STRING) is
   require else
      format_string : s /= Void
   do
      abstract_justify_make(s)
      str := s
      set_precision(str.count)
      set_width(0)
   end

------------------------------------------------------------output
   output, frozen string_output:STRING is
      local
      do
         str := cut_here(str,prec)
         inspect alignment
         when align_left then
            Result := right_pad(str,' ',width)
         when align_right then
            Result := left_pad(str,' ',width)
         when align_center then
            Result := center_pad(str,' ',width)
         end
      end

end -- class STRING_FORMATTER
